import request from '@/utils/request'

// 查询商品列表
export function listProductInfo(query) {
  return request({
    url: '/saler/serviceGoods/listPage',
    method: 'post',
    data: query
  })
}

// 查询商品详细
export function getProductInfo(id) {
  return request({
    url: '/saler/serviceGoods/findById',
    method: 'post',
    data: { id }
  })
}

// 新增商品
export function addProductInfo(data) {
  return request({
    url: '/saler/serviceGoods/save',
    method: 'post',
    data: data
  })
}

// 修改商品
export function updateProductInfo(data) {
  return request({
    url: '/saler/serviceGoods/updateById',
    method: 'post',
    data: data
  })
}

// 删除商品
export function delProductInfo(id) {
  return request({
    url: '/saler/serviceGoods/deleteById',
    method: 'post',
    data: { id }
  })
}
